{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="{% static 'css/bootstrap-material-design.css' %}">
    <link rel="stylesheet" href="{% static 'css/bootstrap-material-design.min.css' %}">
    <link rel="stylesheet" href="{% static 'css/main.css' %}">
    <title>
        {% block title %}
        {% endblock %}
    </title>
</head>
<body>
<!-- Navbar -->
        <header>
        <nav class="navbar navbar-expand-lg navbar-light bg-light navbar-fixed-top">
            <a class="navbar-brand" href="{% url 'posts_list_url' %}">Social Network</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                {% with url_name=request.resolver_match.url_name %}
                <ul class="navbar-nav mr-auto">
                    <li class="nav-item {% if url_name == 'posts_list_url' %}active{% endif %}">
                        <a class="nav-link" href="{% url 'posts_list_url' %}">Feed<span class="sr-only">(current)</span></a>
                    </li>
                    {% if user.is_authenticated %}
                        <li class="nav-item {% if request.path == user.get_absolute_url %}active{% endif %}">
                            <a class="nav-link" href="{{ user.get_absolute_url }}">My Profile</a>
                        </li>
                    {% endif %}
                    <li class="nav-item {% if url_name == 'interests_list_url' %}active{% endif %}">
                        <a class="nav-link" href="{% url 'interests_list_url' %}">Interests</a>
                    </li>
                </ul>
                {% endwith %}
                <form class="form-inline my-2 my-lg-0 mr-5" action="{% url 'posts_list_url' %}">
                    <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search" name="search">
                    <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
                </form>
                <!-- Username dropdown menu (Change password, logout / log in sign up) -->
                {% if user.is_authenticated %}
                    <ul class="navbar-nav">
                        <li class="nav-item">
                            <div class="row">
                                <div class="ml-2">
                                    <a class="nav-link dropdown-toggle" href="#" id="userMenu" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                        {{ user.username }}
                                    </a>
                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="userMenu">
                                        <a class="dropdown-item mr-3" href="{% url 'password_change' %}">Change password</a>
                                        <div class="dropdown-divider"></div>
                                        <a class="dropdown-item" href="{% url 'logout' %}">Log out</a>
                                    </div>
                                </div>
                                <div class="col-auto">
                                </div>
                            </div>
                        </li>
                    </ul>
                {% else %}
                    <div>
                        <form class="form-inline ml-auto">
                            <a href="{% url 'login' %}" class="btn btn-primary active">Log in</a>
                            <a href="{% url 'signup' %}" class="btn btn-primary ml- ">Sign up</a>
                        </form>
                    </div>
                {% endif %}
            </div>
        </nav>
    </header>
    {% block content %}
    {% endblock %}
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script src="https://unpkg.com/popper.js@1.12.6/dist/umd/popper.js" integrity="sha384-fA23ZRQ3G/J53mElWqVJEGJzU0sTs+SvzG8fXVWP+kJQ1lwFAOkcUOysnlKJC33U" crossorigin="anonymous"></script>
    <script src="https://unpkg.com/bootstrap-material-design@4.1.1/dist/js/bootstrap-material-design.js" integrity="sha384-CauSuKpEqAFajSpkdjv3z9t8E7RlpJ1UP0lKM/+NdtSarroVKu069AlsRPKkFBz9" crossorigin="anonymous"></script>
    <script src="{% static 'js/img_previewer.js' %}"></script>
    <script src="{% static 'js/main_js_ajax.js' %}"></script>
    <script src="{% static 'js/main_ajax_comments.js' %}"></script>
    <script src="{% static 'js/main_ajax_users.js' %}"></script>
    <script src="{% static 'js/likes_post.js' %}"></script>
    <script src="{% static 'js/likes_comment.js' %}"></script>
</body>
</html>